import{s as it,n as at,o as nt}from"../chunks/scheduler.9bc65507.js";import{S as lt,i as ot,g as n,s as i,r as P,A as mt,h as l,f as e,c as a,j as O,u as T,x as S,k as D,y as v,a as r,v as N,d as E,t as L,w as B}from"../chunks/index.707bf1b6.js";import{H as rt,g as ut}from"../chunks/Heading.98cce615.js";import{D as W}from"../chunks/Docstring.d5156d74.js";function pt(X){let o,I,C,M,f,U,d,Y="This page lists all the utility functions and classes that can be used for Time Series based models.",V,c,Z="Most of those are only useful if you are studying the code of the time series models or you wish to add to the collection of distributional output classes.",j,_,k,m,g,J,b,tt="Normal distribution output class.",z,u,$,K,x,et="Student-T distribution output class.",A,p,h,Q,y,st="Negative Binomial distribution output class.",H,w,q;return f=new rt({props:{title:"Time Series Utilities",local:"time-series-utilities",headingTag:"h1"}}),_=new rt({props:{title:"Distributional Output",local:"transformers.time_series_utils.NormalOutput",headingTag:"h2"}}),g=new W({props:{name:"class transformers.time_series_utils.NormalOutput",anchor:"transformers.time_series_utils.NormalOutput",parameters:[{name:"dim",val:": int = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.35.1/src/transformers/time_series_utils.py#L179"}}),$=new W({props:{name:"class transformers.time_series_utils.StudentTOutput",anchor:"transformers.time_series_utils.StudentTOutput",parameters:[{name:"dim",val:": int = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.35.1/src/transformers/time_series_utils.py#L164"}}),h=new W({props:{name:"class transformers.time_series_utils.NegativeBinomialOutput",anchor:"transformers.time_series_utils.NegativeBinomialOutput",parameters:[{name:"dim",val:": int = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.35.1/src/transformers/time_series_utils.py#L193"}}),{c(){o=n("meta"),I=i(),C=n("p"),M=i(),P(f.$$.fragment),U=i(),d=n("p"),d.textContent=Y,V=i(),c=n("p"),c.textContent=Z,j=i(),P(_.$$.fragment),k=i(),m=n("div"),P(g.$$.fragment),J=i(),b=n("p"),b.textContent=tt,z=i(),u=n("div"),P($.$$.fragment),K=i(),x=n("p"),x.textContent=et,A=i(),p=n("div"),P(h.$$.fragment),Q=i(),y=n("p"),y.textContent=st,H=i(),w=n("p"),this.h()},l(t){const s=mt("svelte-u9bgzb",document.head);o=l(s,"META",{name:!0,content:!0}),s.forEach(e),I=a(t),C=l(t,"P",{}),O(C).forEach(e),M=a(t),T(f.$$.fragment,t),U=a(t),d=l(t,"P",{"data-svelte-h":!0}),S(d)!=="svelte-5fk48j"&&(d.textContent=Y),V=a(t),c=l(t,"P",{"data-svelte-h":!0}),S(c)!=="svelte-cvlo9u"&&(c.textContent=Z),j=a(t),T(_.$$.fragment,t),k=a(t),m=l(t,"DIV",{class:!0});var G=O(m);T(g.$$.fragment,G),J=a(G),b=l(G,"P",{"data-svelte-h":!0}),S(b)!=="svelte-ri85ny"&&(b.textContent=tt),G.forEach(e),z=a(t),u=l(t,"DIV",{class:!0});var R=O(u);T($.$$.fragment,R),K=a(R),x=l(R,"P",{"data-svelte-h":!0}),S(x)!=="svelte-1bpemm3"&&(x.textContent=et),R.forEach(e),A=a(t),p=l(t,"DIV",{class:!0});var F=O(p);T(h.$$.fragment,F),Q=a(F),y=l(F,"P",{"data-svelte-h":!0}),S(y)!=="svelte-1fzvcxd"&&(y.textContent=st),F.forEach(e),H=a(t),w=l(t,"P",{}),O(w).forEach(e),this.h()},h(){D(o,"name","hf:doc:metadata"),D(o,"content",ft),D(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),D(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,s){v(document.head,o),r(t,I,s),r(t,C,s),r(t,M,s),N(f,t,s),r(t,U,s),r(t,d,s),r(t,V,s),r(t,c,s),r(t,j,s),N(_,t,s),r(t,k,s),r(t,m,s),N(g,m,null),v(m,J),v(m,b),r(t,z,s),r(t,u,s),N($,u,null),v(u,K),v(u,x),r(t,A,s),r(t,p,s),N(h,p,null),v(p,Q),v(p,y),r(t,H,s),r(t,w,s),q=!0},p:at,i(t){q||(E(f.$$.fragment,t),E(_.$$.fragment,t),E(g.$$.fragment,t),E($.$$.fragment,t),E(h.$$.fragment,t),q=!0)},o(t){L(f.$$.fragment,t),L(_.$$.fragment,t),L(g.$$.fragment,t),L($.$$.fragment,t),L(h.$$.fragment,t),q=!1},d(t){t&&(e(I),e(C),e(M),e(U),e(d),e(V),e(c),e(j),e(k),e(m),e(z),e(u),e(A),e(p),e(H),e(w)),e(o),B(f,t),B(_,t),B(g),B($),B(h)}}}const ft='{"title":"Time Series Utilities","local":"time-series-utilities","sections":[{"title":"Distributional Output","local":"transformers.time_series_utils.NormalOutput","sections":[],"depth":2}],"depth":1}';function dt(X){return nt(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=ut}),[]}class ht extends lt{constructor(o){super(),ot(this,o,dt,pt,it,{})}}export{ht as component};
